%global pypi_name circuitbreaker

Name:           python-circuitbreaker
Version:        1.3.2
Release:        1%{?dist}
Summary:        Python implementation of the "Circuit Breaker" Pattern

License:        BSD-3-Clause
URL:            https://github.com/fabfuel/circuitbreaker
Source0:        %{url}/archive/%{version}/circuitbreaker-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
This is a Python implementation of the "Circuit Breaker" Pattern (https://martinfowler.com/bliki/CircuitBreaker.html). Inspired by Michael T. Nygard's highly recommendable book Release It! (https://pragprog.com/titles/mnee2/release-it-second-edition/).}

%description %_description

%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files circuitbreaker


%check
%tox


%files -n python3-circuitbreaker -f %%{pyproject_files}
%doc README.rst


%changelog
* Mon Feb 7 2022 Lukáš Lipinský <lukas.lipinsky@oracle.com> - 1.3.2-1
- Packaged for Oracle Linux 9
